package com.example.aped.ui.all_IOs;


import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.fragment.app.Fragment;
import com.android.volley.Response;
import com.example.aped.MainActivity;
import com.example.aped.R;
import com.example.aped.ui.visualization.MainListViewAdapter;

import org.json.JSONException;
import org.json.JSONObject;
import java.util.List;


public class AllIOsFragment extends Fragment {
    /**
     * Einbinden der MainActivity.
     */
    private MainActivity mainActivity;
    /**
     * Genutzt für Signallampe.
     */
    private int image;
    /**
     * Genutzt für Favoriten icons.
     */
    private int favoriteImage;

    /**
     * @param inflater
     * @param container
     * @param savedInstanceState
     * @return view
     */
    @Override
    public View onCreateView(final LayoutInflater inflater,
                             final ViewGroup container,
                             final Bundle savedInstanceState) {

        this.mainActivity = (MainActivity) getActivity();
        View view = inflater.inflate(R.layout.fragment_all_ios, container,
                false);
        ListView lv = (ListView) view.findViewById(R.id.idListView);
        MainListViewAdapter mainListViewAdapter = new MainListViewAdapter(mainActivity,0);
        lv.setAdapter(mainListViewAdapter);

        return view;
    }

    }
